# knewstuff Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNS::ProviderDialog Class Reference

Dialog displaying a list of Hotstuff providers. More...

`#include <providerdialog.h>`

Collaboration diagram for KNS::ProviderDialog:

[legend]
List of all members.

## Public Member Functions

| ProviderDialog (Engine *engine, QWidget *parent)
void | clear ()
void | addProvider (Provider *)

## Protected Slots

void | slotOk ()

## Detailed Description

Dialog displaying a list of Hotstuff providers.

This is normally used in the process of uploading data, thus limiting the list to providers which support uploads. One of the providers is then chosen by the user for further operation.

Author:
  Cornelius Schumacher (schumacher@kde.org)

Maintainer:
  Josef Spillner (spillner@kde.org)

Definition at line 43 of file providerdialog.h.

## Constructor & Destructor Documentation

ProviderDialog::ProviderDialog | ( | Engine * | engine,
|  | QWidget * | parent
| ) |

Constructor.

Parameters:

  | engine | a KNewStuff engine object
  | parent | the parent window

Definition at line 52 of file providerdialog.cpp.

References QBoxLayout::addWidget().

## Member Function Documentation

void ProviderDialog::clear | ( |  | ) |

| Clears the list of providers. Definition at line 69 of file providerdialog.cpp.

void ProviderDialog::addProvider | ( | Provider * |  | ) |

| Adds a Hotstuff provider to the list. Definition at line 74 of file providerdialog.cpp.

The documentation for this class was generated from the following files:

- providerdialog.h
- providerdialog.cpp

This file is part of the documentation for knewstuff Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:28:46 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003